#!/bin/csh

set in = grid_rgb.ppm

set formatList = ( l la rgb rgba )
set typeList = ( u8 u16 f32 )

foreach format ($formatList)
  foreach type ($typeList)
        
    set out = "out"
    set out = ${out}-format_${format}
    set out = ${out}-type_${type}
    set out = ${out}.png
          
    ../../bin/djop \
      $in $out \
      -saveFormat $format \
      -saveType $type
    if ($status != 0) then
      exit 1
    endif

  end
end
